#pragma once

#include "bi_cdt.h"

namespace roy {

    namespace ih {

        class xor_cdt : public bi_cdt
        {
        public:
            xor_cdt(const ref_ptr_Cdt& cdt1, const ref_ptr_Cdt& cdt2);

        public:
            virtual bool    is_valid(void);
        };

    }

}

